module.exports = {
	"prefix": "w-",
	"z-index-normal": "1",
	"z-index-affix": "10",
	"z-index-top": "1000",
	"z-index-popper": "2000",
	"all-transition": "all 0.3s cubic-bezier(0.645, 0.045, 0.355, 1)",
	"fade-transition": "opacity 300ms cubic-bezier(0.23, 1, 0.32, 1)",
	"fade-linear-transition": "opacity 200ms linear",
	"md-fade-transition": "transform 300ms cubic-bezier(0.23, 1, 0.32, 1), opacity 300ms cubic-bezier(0.23, 1, 0.32, 1)",
	"color-transition-base": "color 0.2s cubic-bezier(0.645, 0.045, 0.355, 1)",
	"border-transition-base": "border-color 0.2s cubic-bezier(0.645, 0.045, 0.355, 1)",
	"font-size-extra-large": "20px",
	"font-size-large": "18px",
	"font-size-medium": "16px",
	"font-size-base": "14px",
	"font-size-small": "13px",
	"font-size-auxiliary": "12px",
	"font-weight-base": "400",
	"font-weight-medium": "500",
	"font-weight-bold": "700",
	"font-line-height-primary": "24px",
	"font-line-height-secondary": "16px",
	"font-color-disabled-base": "#bbb",
	"primary-color": "#2055F4",
	"success-color": "#67C23A",
	"warning-color": "#F0A431",
	"danger-color": "#ED6363",
	"info-color": "#9DA3AC",
	"primary-light-color": "#d2ddfd",
	"success-light-color": "#e1f3d8",
	"warning-light-color": "#fcedd6",
	"danger-light-color": "#fbe0e0",
	"info-light-color": "#ebedee",
	"primary-lighter-color": "#e9eefe",
	"success-lighter-color": "#f0f9eb",
	"warning-lighter-color": "#fef6ea",
	"danger-lighter-color": "#fdefef",
	"info-lighter-color": "#f5f6f7",
	"primary-text-color": "#272A31",
	"regular-text-color": "#5B606A",
	"secondary-text-color": "#8A909A",
	"placeholder-text-color": "#9DA3AC",
	"border-base-color": "#DDDFE6",
	"border-light-color": "#E4E7ED",
	"border-lighter-color": "#ECEEF5",
	"border-extralighter-color": "#F2F6FC",
	"color-black": "#000000",
	"color-white": "#ffffff",
	"color-transparent": "transparent",
	"color-background-hover-fill": "#F4F4F5",
	"box-shadow-base": "0 2px 4px rgba(0, 0, 0, 0.12), 0 0 6px rgba(0, 0, 0, 0.04)",
	"box-shadow-dark": "0 2px 4px rgba(0, 0, 0, 0.12), 0 0 6px rgba(0, 0, 0, 0.12)",
	"box-shadow-light": "0 4px 4px 0 rgba(0, 0, 0, 0.1)",
	"background-primary-light-1": "#3666f5",
	"background-primary-light-2": "#4d77f6",
	"background-primary-light-3": "#6388f7",
	"background-primary-light-4": "#7999f8",
	"background-primary-light-5": "#90aafa",
	"background-primary-light-6": "#a6bbfb",
	"background-primary-light-7": "#bcccfc",
	"background-primary-light-8": "#d2ddfd",
	"background-primary-light-9": "#e9eefe",
	"disabled-font-color": "#C0C4CC",
	"disabled-background-color": "#eceef5",
	"disabled-border-color": "#DDDFE7",
	"disabled-placeholder-color": "#BFC4CD",
	"background-color-base": "#F6F7F9",
	"border-width-base": "1px",
	"border-style-base": "solid",
	"border-color-hover": "#9DA3AC",
	"border-base": "1px solid #DDDFE6",
	"border-radius-base": "2px",
	"border-radius-round": "18px",
	"border-radius-circle": "100%",
	"border-radius-zero": "0",
	"height-base": "36px",
	"height-medium": "28px",
	"height-small": "24px",
	"button-background-color": "#ffffff",
	"button-border-color": "#DDDFE6",
	"button-font-color": "#272A31",
	"button-border": "1px solid #DDDFE6",
	"button-padding-vertical": "10px",
	"button-padding-horizontal": "16px",
	"button-font-size": "14px",
	"button-font-weight": "400",
	"button-medium-padding-vertical": "6px",
	"button-medium-padding-horizontal": "12px",
	"button-medium-font-size": "14px",
	"button-small-padding-vertical": "4px",
	"button-small-padding-horizontal": "8px",
	"button-small-font-size": "13px",
	"button-radius": "2px",
	"button-round-radius": "18px",
	"button-disabled-font-color": "#C0C4CC",
	"button-disabled-background-color": "#eceef5",
	"button-disabled-border-color": "#DDDFE7",
	"button-primary-font-color": "#ffffff",
	"button-primary-background-color": "#2055F4",
	"button-primary-border-color": "#2055F4",
	"button-success-font-color": "#ffffff",
	"button-success-background-color": "#67C23A",
	"button-success-border-color": "#67C23A",
	"button-warning-font-color": "#ffffff",
	"button-warning-background-color": "#F0A431",
	"button-warning-border-color": "#F0A431",
	"button-danger-font-color": "#ffffff",
	"button-danger-background-color": "#ED6363",
	"button-danger-border-color": "#ED6363",
	"button-info-font-color": "#ffffff",
	"button-info-background-color": "#9DA3AC",
	"button-info-border-color": "#9DA3AC",
	"button-text-hover-font-color": "#272A31",
	"button-text-hover-background-color": "#f4f4f5",
	"button-hover-tint-percent": "20%",
	"scrollbar-background-color": "rgba(138, 144, 154, 0.3)",
	"scrollbar-hover-background-color": "rgba(138, 144, 154, 0.5)",
	"input-font-color": "#272A31",
	"input-font-size": "14px",
	"input-icon-color": "#9DA3AC",
	"input-clear-hover-color": "#8A909A",
	"input-radius": "2px",
	"input-round-radius": "18px",
	"input-border": "1px solid #DDDFE6",
	"input-hover-border": "#9DA3AC",
	"input-focus-border": "#2055F4",
	"input-height": "36px",
	"input-padding-horizontal": "16px",
	"input-background-color": "#ffffff",
	"input-placeholder-color": "#9DA3AC",
	"input-disabled-fill": "#eceef5",
	"input-disabled-border": "#DDDFE7",
	"input-disabled-color": "#C0C4CC",
	"input-disabled-placeholder-color": "#BFC4CD",
	"input-medium-font-size": "14px",
	"input-medium-height": "28px",
	"input-small-font-size": "13px",
	"input-small-height": "24px",
	"anchor-border-width": "2px",
	"anchor-border-color": "#DDDFE6",
	"anchor-background-color": "#ffffff",
	"anchor-font-color": "#272A31",
	"anchor-font-size": "14px",
	"radio-font-size": "14px",
	"radio-font-color": "#272A31",
	"radio-font-weight": "400",
	"radio-bordered-height": "36px",
	"radio-bordered-padding": "10px 20px 0 10px",
	"radio-radius": "2px",
	"radio-border": "1px solid #DDDFE6",
	"radio-input-height": "16px",
	"radio-input-width": "16px",
	"radio-input-border-radius": "100%",
	"radio-input-background-color": "#ffffff",
	"radio-input-border-color-hover": "#2055F4",
	"radio-disabled-border-color": "#DDDFE7",
	"radio-bordered-medium-height": "28px",
	"radio-bordered-medium-padding": "6px 20px 0 10px",
	"radio-medium-input-height": "14px",
	"radio-medium-input-width": "14px",
	"radio-medium-font-size": "14px",
	"radio-bordered-small-height": "22px",
	"radio-bordered-small-padding": "3px 20px 0 10px",
	"radio-small-input-height": "12px",
	"radio-small-input-width": "12px",
	"radio-small-font-size": "13px",
	"radio-disabled-input-fill": "#eceef5",
	"radio-disabled-input-border-color": "#DDDFE7",
	"radio-disabled-icon-color": "#eceef5",
	"radio-checked-input-border-color": "#2055F4",
	"radio-checked-font-color": "#2055F4",
	"radio-disabled-checked-input-fill": "#eceef5",
	"radio-disabled-checked-input-border-color": "#eceef5",
	"radio-disabled-checked-icon-color": "#9DA3AC",
	"radio-button-checked-font-color": "#ffffff",
	"radio-button-checked-background-color": "#2055F4",
	"radio-button-checked-border-color": "#2055F4",
	"radio-button-disabled-checked-fill": "#BFC4CD",
	"radio-button-disabled-checked-color": "#8A909A",
	"checkbox-input-border": "1px solid #DDDFE6",
	"checkbox-border-radius": "2px",
	"checkbox-input-width": "16px",
	"checkbox-input-height": "16px",
	"checkbox-background-color": "#ffffff",
	"checkbox-input-border-color-hover": "#2055F4",
	"checkbox-font-color": "#272A31",
	"checkbox-font-weight": "400",
	"checkbox-font-size": "14px",
	"checkbox-bordered-padding": "7px 20px 9px 10px",
	"checkbox-bordered-border-radius": "2px",
	"checkbox-bordered-border": "1px solid #DDDFE6",
	"checkbox-bordered-height": "36px",
	"chekcbox-bordered-medium-padding": "3px 20px 7px 10px",
	"chekcbox-bordered-medium-height": "28px",
	"chekcbox-bordered-medium-line-height": "13px",
	"chekcbox-bordered-medium-font-size": "14px",
	"chekcbox-bordered-medium-input-height": "14px",
	"chekcbox-bordered-medium-input-width": "14px",
	"chekcbox-bordered-small-padding": "0px 15px 3px 10px",
	"chekcbox-bordered-small-height": "22px",
	"chekcbox-bordered-small-line-height": "9px",
	"chekcbox-bordered-small-font-size": "13px",
	"chekcbox-bordered-small-input-height": "12px",
	"chekcbox-bordered-small-input-width": "12px",
	"checkbox-bordered-small-after-width": "6px",
	"checkbox-bordered-small-after-height": "2px",
	"checkbox-checked-border-color": "#2055F4",
	"checkbox-checked-background-color": "#2055F4",
	"checkbox-checked-input-border-color": "#2055F4",
	"checkbox-checked-font-color": "#2055F4",
	"checkbox-checked-icon-color": "#ffffff",
	"checkbox-disabled-border-color": "#DDDFE7",
	"checkbox-disabeld-input-fill": "#eceef5",
	"checkbox-disabled-icon-color": "#9DA3AC",
	"checkbox-disabled-checked-input-fill": "#F2F6FC",
	"checkbox-disabled-checked-input-border-color": "#DDDFE7",
	"checkbox-disabled-checked-icon-color": "#9DA3AC",
	"checkbox-button-checked-font-color": "#ffffff",
	"checkbox-button-checked-background-color": "#2055F4",
	"checkbox-button-checked-border-color": "#2055F4",
	"empty-font-size": "14px",
	"empty-font-color": "#5B606A",
	"empty-medium-font-size": "14px",
	"empty-small-font-size": "13px",
	"dropdown-font-color": "#272A31",
	"dropdown-font-size": "14px",
	"dropdown-menu-background-color": "#ffffff",
	"dropdown-menu-border": "1px solid #DDDFE6",
	"dropdown-menu-border-radius": "2px",
	"dropdown-menu-box-shadow": "0 4px 4px 0 rgba(0, 0, 0, 0.1)",
	"dropdown-menuItem-hover-fill": "#F4F4F5",
	"dropdown-menu-medium-padding": "0 17px",
	"dropdown-menu-medium-line-height": "30px",
	"dropdown-menu-medium-font-size": "14px",
	"dropdown-menu-small-padding": "0 15px",
	"dropdown-menu-small-line-height": "27px",
	"dropdown-menu-small-font-size": "13px",
	"select-input-focus-border-color": "#2055F4",
	"select-input-color": "#9DA3AC",
	"select-input-font-size": "14px",
	"select-close-hover-color": "#9DA3AC",
	"select-font-size": "14px",
	"select-multiple-input-color": "#666",
	"select-tag-background-color": "#f0f2f5",
	"select-dropdown-border": "1px solid #E4E7ED",
	"select-dropdown-border-radius": "2px",
	"select-dropdown-background": "#ffffff",
	"select-dropdown-shadow": "0 4px 4px 0 rgba(0, 0, 0, 0.1)",
	"select-dropdown-empty-padding": "10px 0",
	"select-dropdown-empty-color": "#999",
	"select-dropdown-max-height": "274px",
	"select-dropdown-padding": "6px 0",
	"select-option-color": "#5B606A",
	"select-option-height": "28px",
	"select-option-selected-font-color": "#2055F4",
	"select-option-hover-background": "#F6F7F9",
	"select-option-disabled-color": "#9DA3AC",
	"select-option-selected-background-color": "#e9eefe",
	"select-group-font-size": "12px",
	"select-group-color": "#9DA3AC",
	"select-group-height": "30px",
	"tabs-active-bar-background-color": "#2055F4",
	"tabs-new-tab-border": "1px solid #DDDFE6",
	"tabs-new-tab-color": "#272A31",
	"tabs-item-height": "36px",
	"tabs-item-font-size": "14px",
	"tabs-item-font-weight": "400",
	"tabs-item-font-color": "#272A31",
	"tabs-item-padding": "0 16px",
	"tabs-medium-item-height": "28px",
	"tabs-medium-item-padding": "0 16px",
	"tabs-medium-item-font-size": "14px",
	"tabs-small-item-height": "24px",
	"tabs-small-item-padding": "0 12px",
	"tabs-small-item-font-size": "13px",
	"tabs-card-item-border": "1px solid #DDDFE6",
	"tabs-card-item-background": "#F4F4F5",
	"tabs-border-card-background": "#ffffff",
	"tabs-border-card-border": "1px solid #DDDFE6",
	"message-min-width": "220px",
	"message-background-color": "#ffffff",
	"message-padding": "14px 24px",
	"messgae-icon-font-size": "20px",
	"message-normal-font-color": "#2055F4",
	"message-info-font-color": "#9DA3AC",
	"message-success-font-color": "#67C23A",
	"message-warning-font-color": "#F0A431",
	"message-error-font-color": "#ED6363",
	"message-close-icon-color": "#272A31",
	"message-close-size": "20px",
	"message-close-hover-color": "#2055F4",
	"message-content-font-size": "14px",
	"message-content-font-color": "#272A31",
	"popup-modal-background-color": "#000000",
	"popup-modal-opacity": "0.5",
	"tag-font-color": "#2055F4",
	"tag-border": "1px solid #DDDFE6",
	"tag-border-radius": "2px",
	"tag-padding-vertical": "0px",
	"tag-padding-horizontal": "10px",
	"tag-font-size": "14px",
	"tag-font-weight": "400",
	"tag-radius": "2px",
	"tag-round-radius": "18px",
	"tag-primary-color": "#2055F4",
	"tag-info-color": "#272A31",
	"tag-success-color": "#67C23A",
	"tag-danger-color": "#ED6363",
	"tag-warning-color": "#F0A431",
	"tag-padding": "10px 16px",
	"pagination-font-size": "14px",
	"pagination-border-radius": "2px",
	"pagination-button-height": "28px",
	"pagination-button-width": "30px",
	"pagination-hover-color": "#2055F4",
	"pagination-button-disabled-color": "#C0C4CC",
	"pagination-button-disabled-background-color": "#eceef5",
	"pagination-background-color": "#ffffff",
	"pagination-button-color": "#272A31",
	"pagination-color-text-placeholder": "#C0C4CC",
	"pagination-color-text-regular": "#5B606A",
	"pagination-color-info-lighter": "#e9eefe",
	"tooltip-arrow-size": "4px",
	"tooltip-padding": "10px",
	"tooltip-font-size": "12px",
	"tooltip-border-color": "#272A31",
	"tooltip-fill": "#272A31",
	"tooltip-color": "#ffffff",
	"backtop-background-color": "#9BA3AD",
	"backtop-font-color": "#ffffff",
	"backtop-hover-background-color": "#5A606B",
	"dialog-background-color": "#ffffff",
	"dialog-box-shadow": "0px 1px 4px 4px rgba(0, 0, 0, 0.05)",
	"dialog-padding-primary-vertical": "9px",
	"dialog-padding-primary-horizontal": "16px",
	"dialog-padding-primary": "9px 16px",
	"dialog-font-line-height": "24px",
	"dialog-title-font-size": "16px",
	"dialog-title-font-weight": "500",
	"dialog-content-font-size": "14px",
	"messagebox-font-size": "16px",
	"messagebox-font-weight": "500",
	"messagebox-title-color": "#272A31",
	"messagebox-padding": "20px",
	"messagebox-content-color": "#5B606A",
	"messagebox-content-font-size": "14px",
	"messagebox-normal-color": "#2055F4",
	"messagebox-success-color": "#67C23A",
	"messagebox-info-color": "#9DA3AC",
	"messagebox-warning-color": "#F0A431",
	"messagebox-danger-color": "#ED6363",
	"messagebox-error-font-size": "12px",
	"msgbox-min-width": "400px",
	"msgbox-max-width": "500px",
	"msgbox-border-radius": "2px",
	"msgbox-box-shadow": "0px 1px 4px 4px rgba(0, 0, 0, 0.05)",
	"datepicker-border-color": "#DDDFE7",
	"datepicker-inner-border-color": "#e4e4e4",
	"datepicker-font-color": "#5B606A",
	"datepicker-hover-font-color": "#2055F4",
	"datepicker-active-color": "#2055F4",
	"datepicker-icon-color": "#272A31",
	"datepicker-inrange-background-color": "#F2F6FC",
	"datepicker-inrange-hover-background-color": "#F2F6FC",
	"datepicker-off-font-color": "#9DA3AC",
	"datepicker-header-font-color": "#272A31",
	"datepicker-background-fill": "#F4F4F5",
	"tree-font-color": "#272A31",
	"tree-node-hover-background-color": "#F6F7F9",
	"tree-expand-icon-color": "#272A31",
	"form-label-font-size": "14px",
	"avatar-font-size": "14px",
	"avatar-font-color": "#5b616c",
	"avatar-border-radius": "2px",
	"avatar-background-color": "#ECEEF5",
	"avatar-size": "40px",
	"avatar-icon-font-size": "24px",
	"avatar-large-size": "64px",
	"avatar-large-icon-font-size": "32px",
	"avatar-medium-size": "32px",
	"avatar-medium-icon-font-size": "16px",
	"avatar-small-size": "24px",
	"avatar-small-icon-font-size": "14px",
	"badge-background-color": "#ED6363",
	"badge-radius": "8px",
	"badge-font-size": "12px",
	"badge-size": "16px",
	"badge-large-size": "19px",
	"badge-large-radius": "11px",
	"badge-padding": "6px",
	"image-background-color": "#EDF1FF",
	"notification-width": "400px",
	"notification-padding": "14px 26px 14px 16px",
	"notification-radius": "2px",
	"notification-border-color": "#ECEEF5",
	"notification-shadow": "0px 1px 4px 4px rgba(0, 0, 0, 0.05)",
	"notification-group-margin-left": "13px",
	"notification-group-margin-right": "8px",
	"notification-title-font-weight": "500",
	"notification-title-font-size": "16px",
	"notification-title-color": "#272A31",
	"notification-content-font-size": "14px",
	"notification-content-color": "#272A31",
	"notification-icon-size": "20px",
	"notification-close-color": "#8A909A",
	"notification-close-font-size": "20px",
	"notification-close-hover-color": "#272A31",
	"notification-normal-icon-color": "#2055F4",
	"notification-success-icon-color": "#67C23A",
	"notification-danger-icon-color": "#ED6363",
	"notification-info-icon-color": "#9DA3AC",
	"notification-warning-icon-color": "#F0A431",
	"input-number-crease-width": "30px",
	"popover-background-color": "#ffffff",
	"popover-border-color": "#ECEEF5",
	"popover-font-size": "14px",
	"popover-padding-large": "18px 20px",
	"popover-box-shadow": "0px 4px 12px 4px rgba(0, 0, 0, 0.1)",
	"popover-title-font-size": "14px",
	"popover-title-font-color": "#272A31",
	"popover-title-padding": "0 16px",
	"popover-content-padding": "16px",
	"popover-content-font-color": "#272A31",
	"popover-arrow-size": "6px",
	"result-padding": "40px 30px",
	"result-icon-font-size": "64px",
	"result-title-font-size": "24px",
	"result-title-font-weight": "500",
	"result-title-margin-top": "12px",
	"result-subtitle-margin-top": "10px",
	"result-extra-margin-top": "32px",
	"result-info-color": "#2055F4",
	"result-success-color": "#67C23A",
	"result-warning-color": "#F0A431",
	"result-danger-color": "#ED6363",
	"collapse-border-color": "#E4E7ED",
	"collapse-header-height": "48px",
	"collapse-header-background-color": "#F6F7F8",
	"collapse-header-font-size": "14px",
	"collapse-header-font-color": "#272A31",
	"collapse-header-padding": "0 24px",
	"collapse-content-background-color": "#ffffff",
	"collapse-content-font-size": "14px",
	"collapse-content-font-color": "#272A31",
	"collapse-content-padding": "14px 24px",
	"table-font-color": "#5B606A",
	"table-row-hover-background-color": "#F6F7F9",
	"table-current-row-background-color": "#e9eefe",
	"table-header-cell-border": "1px solid rgba(0, 0, 0, 0.06)",
	"table-header-font-color": "#272A31",
	"table-header-background-color": "#f6f7f8",
	"table-border-color": "#F0F0F0",
	"table-bordered-color": "#DDDFE8",
	"table-border": "1px solid #F0F0F0",
	"table-bordered": "1px solid #DDDFE8",
	"table-fixed-box-shadow": "0 0 10px rgba(0, 0, 0, 0.12)",
	"switch-font-size": "14px",
	"switch-height": "24px",
	"switch-width": "37px",
	"switch-on-color": "#2055F4",
	"switch-off-color": "#8890A0",
	"switch-core-border-radius": "12px",
	"switch-button-size": "10px",
	"switch-label-color": "#CED2DC",
	"switch-small-height": "18px",
	"switch-small-width": "28px",
	"switch-small-button-size": "8px",
	"menu-background-color": "#ffffff",
	"menu-box-shadow": "0px 2px 10px 0px rgba(0, 0, 0, 0.12)",
	"menu-item-font-size": "14px",
	"menu-item-font-color": "#272A31",
	"menu-item-hover-fill": "#e9eefe",
	"menu-item-active-fill": "#2055F4",
	"menu-popup-box-shadow": "0px 2px 10px 0px rgba(0, 0, 0, 0.12)",
	"menu-dark-background-color": "#101840",
	"cascader-menu-font-size": "14px",
	"cascader-menu-fill": "#ffffff",
	"cascader-menu-border": "1px solid #E4E7ED",
	"cascader-menu-radius": "2px",
	"cascader-menu-shadow": "0 4px 4px 0 rgba(0, 0, 0, 0.1)",
	"cascader-menu-font-color": "#272A31",
	"cascader-menu-selected-font-color": "#2055F4",
	"cascader-tag-background": "#f0f2f5",
	"cascader-node-background-hover": "#F6F7F9",
	"cascader-node-color-disabled": "#9DA3AC",
	"cascader-color-empty": "#9DA3AC",
	"cascader-node-active-background": "#e9eefe",
	"progress-remaining-color": "#ECEEF2",
	"progress-default-color": "#2055F4",
	"progress-text-color": "#272A31",
	"progress-radius": "100px",
	"upload-primary-text-color": "#2055F4",
	"upload-font-color": "#5B606A",
	"upload-primary-color": "#2055F4",
	"upload-placeholder-color": "#9DA3AC",
	"upload-border-base": "1px solid #DDDFE6",
	"upload-success-color": "#67C23A",
	"upload-background-color-base": "#F6F7F9",
	"upload-md-fade-transition": "transform 300ms cubic-bezier(0.23, 1, 0.32, 1), opacity 300ms cubic-bezier(0.23, 1, 0.32, 1)",
	"link-font-size": "14px",
	"link-font-weight": "400",
	"link-default-font-color": "#272A31",
	"link-default-active-color": "#2055F4",
	"link-disabled-font-color": "#9DA3AC",
	"link-primary-font-color": "#2055F4",
	"link-success-font-color": "#67C23A",
	"link-warning-font-color": "#F0A431",
	"link-danger-font-color": "#ED6363",
	"link-info-font-color": "#9DA3AC",
	"loading-spinner-size": "40px",
	"loading-fullscreen-spinner-size": "50px",
	"loading-spinner-medium-size": "32px",
	"loading-spinner-small-size": "28px",
	"footer-padding": "0 20px",
	"header-padding": "0 32px",
	"main-padding": "0 32px",
	"xs": "480px",
	"sm": "768px",
	"md": "992px",
	"lg": "1200px",
	"xl": "1600px",
	"xxl": "1920px",
	"screen-xs-min": "480px",
	"screen-sm-min": "768px",
	"screen-md-min": "992px",
	"screen-lg-min": "1200px",
	"screen-xl-min": "1600px",
	"screen-xxl-min": "1920px",
	"screen-xs-max": "767px",
	"screen-sm-max": "991px",
	"screen-md-max": "1199px",
	"screen-lg-max": "1599px",
	"screen-xl-max": "1919px",
	"grid-columns": "24",
	"grid-gutter-width": "0",
	"timeline-width": "1px",
	"timeline-color": "#DDDFE8",
	"timeline-dot-border-width": "3px",
	"timeline-dot-color": "#2055F4",
	"timeline-dot-bg": "#ffffff",
	"font-size-sm": "12px",
	"error-color": "#ED6363",
	"disabled-color": "#eceef5",
	"line-height-base": "1.5",
	"alert-padding": "6px 10px",
	"alert-border-radius": "2px",
	"alert-icon-size": "18px",
	"alert-icon-large-size": "28px",
	"alert-title-font-size": "14px",
	"alert-description-font-size": "14px",
	"alert-close-font-size": "18px",
	"alert-close-customed-font-size": "14px",
	"alert-primary-color": "#e9eefe",
	"alert-primary-border-color": "#2055F4",
	"alert-success-color": "#f0f9eb",
	"alert-success-border-color": "#67C23A",
	"alert-warning-color": "#fef6ea",
	"alert-warning-border-color": "#F0A431",
	"alert-info-color": "#f5f6f7",
	"alert-info-border-color": "#9DA3AC",
	"alert-error-color": "#fdefef",
	"alert-error-border-color": "#ED6363",
	"border-color-split": "#DDDFE6",
	"process-icon-color": "#2055F4",
	"process-title-color": "#272A31",
	"process-description-color": "#5B606A",
	"process-tail-color": "#DDDFE6",
	"process-icon-text-color": "#ffffff",
	"wait-icon-color": "#9DA3AC",
	"wait-title-color": "#8A909A",
	"wait-description-color": "#8A909A",
	"wait-tail-color": "#DDDFE6",
	"finish-icon-color": "#2055F4",
	"finish-title-color": "#5B606A",
	"finish-description-color": "#8A909A",
	"text-color-secondary": "#8A909A",
	"finish-tail-color": "#2055F4",
	"error-icon-color": "#ED6363",
	"error-title-color": "#ED6363",
	"error-description-color": "#ED6363",
	"error-tail-color": "#DDDFE6",
	"steps-background": "#ffffff",
	"steps-nav-arrow-color": "#E4E7ED",
	"steps-nav-active-color": "#2055F4",
	"text-color": "#272A31",
	"steps-icon-size": "32px",
	"steps-small-icon-size": "24px",
	"steps-dot-size": "8px",
	"steps-current-dot-size": "10px",
	"steps-desciption-max-width": "140px",
	"steps-nav-content-max-width": "auto",
	"font-size-lg": "16px",
	"list-font-size": "14px",
	"list-item-padding": "12px 0",
	"list-item-meta-margin-bottom": "16px",
	"list-item-meta-title-margin-bottom": "12px 0",
	"list-header-background": "transparent",
	"list-footer-background": "transparent",
	"list-header-color": "rgba(0, 0, 0, 0.85)",
	"card-border-radius": "3px",
	"card-border-color": "#DDDFE6",
	"card-padding": "16px",
	"card-small-padding": "9px 16px",
	"card-shadow": "0px 2px 16px 0px rgba(38, 42, 50, 0.2)",
	"page-header-icon-color": "#2055F4",
	"page-header-title-font": "16px",
	"page-header-subtitle-font": "14px",
	"page-header-subtitle-color": "#8A909A",
	"slider-height": "6px",
	"slider-margin": "16px 0",
	"slider-runway-background-color": "#F6F7F8",
	"slider-border-radius": "3px",
	"slider-disable-color": "#BFC4CD",
	"slider-main-background-color": "#2055F4",
	"slider-stop-background-color": "#ffffff",
	"slider-button-size": "12px",
	"slider-button-wrapper-size": "24px",
	"slider-button-wrapper-offset": "-10px",
	"slider-stop-height": "10px",
	"rate-height": "24px",
	"rate-icon-size": "22px",
	"rate-icon-margin": "13px",
	"rate-icon-color": "#9DA3AC",
	"rate-font-size": "14px",
	"transfer-border-color": "#DDDFE6",
	"transfer-border-radius": "2px",
	"transfer-panel-width": "200px",
	"transfer-filter-height": "32px",
	"transfer-panel-header-height": "48px",
	"transfer-panel-body-height": "248px",
	"transfer-panel-footer-height": "44px",
	"transfer-item-height": "32px"
}