import { WinboxUIComponent } from './component'

export type AlertType = 'success' | 'warning' | 'info' | 'error' | 'primary'
export type AlertEffect = 'dark' | 'light' | 'plain'

/** Alert Component */
export declare class WAlert extends WinboxUIComponent {
  /** Title */
  title: string

  /** Component type */
  type: AlertType

  /** Descriptive text. Can also be passed with the default slot */
  description: string

  /** If closable or not */
  closable: boolean

  /** whether to center the text */
  center: boolean

  /** Customized close button text */
  closeText: string

  /** If a type icon is displayed */
  showIcon: boolean

  /** Choose effect */
  effect: AlertEffect
}
