import { WinboxUIComponent } from './component'

/** Badge type */
export type BadgeType = 'primary' | 'success' | 'warning' | 'danger' | 'info'

/** Badge Component */
export declare class WBadge extends WinboxUIComponent {
  
  /** Display value */
  value: string | number

  /** Maximum value, shows '{max}+' when exceeded. Only works if `value` is a number */
  max: number

  /** If a little dot is displayed */
  isDot: boolean

  /** Hidden badge */
  hidden: boolean

  /** Badge type */
  type: BadgeType

  /** Badge size */
  size: string

  /** Badge color */
  color: string

  /** Badge Indicates the status point offset */
  top: string

  /** Badge Indicates the status point offset */
  right: string
}
