import { WinboxUIComponent, WinboxUIComponentSize } from './component'

/** Button type */
export type ButtonType = 'primary' | 'success' | 'warning' | 'danger' | 'info' | 'text' | 'dashed' | 'link'

/** Same as native button's type */
export type ButtonNativeType = 'button' | 'submit' | 'reset' | 'menu'

/** Button Component */
export declare class WButton extends WinboxUIComponent {
  /** Button type */
  type: ButtonType

  /** Button size */
  size: WinboxUIComponentSize

  /** Determine whether it's a ghost button */
  ghost: boolean

  /** Determine whether it's a block button */
  block: boolean

  /** Determine whether it's a round button */
  round: boolean

  /** Determine whether it's a circle button */
  circle: boolean

  /** Determine whether it's loading */
  loading: boolean

  /** Disable the button */
  disabled: boolean

  /** Button icon, accepts an icon name of Winbox icon component */
  icon: string

  /** Same as native button's autofocus */
  autofocus: boolean

  /** Same as native button's type */
  nativeType: ButtonNativeType
}
