import { WinboxUIComponent } from './component'
import { VNode, VNodeDirective } from 'vue'

export interface CardSlots {
  /** Content of the card */
  default: VNode[],

  /** Title of the card */
  header: VNode[]

  [key: string]: VNode[]
}

/** Card Component */
export declare class WCard extends WinboxUIComponent {
   /** Title of the card */
   header: string

   /** CSS style of body */
   bodyStyle: object
 
   /** When to show card shadows */
   shadow: string

   /** Show card border */
   bordered: boolean

   /** Card size */
   size: string
 
   $slots: CardSlots
   
}
