import { WinboxUIComponent } from './component'

/** Responsive column props */
export interface ResponsiveColumnProperties {
  /** Number of column the grid spans */
  span: number,

  /** Number of spacing on the left side of the grid */
  offset: number
}

/** Responsive column property */
export type ResponsiveColumn = number | ResponsiveColumnProperties

/** Col Component */
export declare class WCol extends WinboxUIComponent {
  /** Flex layout fill */
  flex: string | number

  /** Number of column the grid spans */
  span: number

  /** order of column the grid spans */
  order: number

  /** Number of spacing on the left side of the grid */
  offset: number

  /** Number of columns that grid moves to the right */
  push: number

  /** Number of columns that grid moves to the left */
  pull: number

  /** <768px Responsive columns or column props object */
  xs: ResponsiveColumn

  /** ≥768px Responsive columns or column props object */
  sm: ResponsiveColumn

  /** ≥992px Responsive columns or column props object */
  md: ResponsiveColumn

  /** ≥1200px Responsive columns or column props object */
  lg: ResponsiveColumn

  /** ≥1600px Responsive columns or column props object */
  xl: ResponsiveColumn

  /** ≥1920px Responsive columns or column props object */
  xxl: ResponsiveColumn
}
