import { VNode } from 'vue'
import { WinboxUIComponent } from './component'

export interface CollapseItemSlots {
  /** Content of the collapse item */
  default: VNode[],

  /** Title of the collapse item */
  title: VNode[]

  /** Extra of the collapse item */
  extra: VNode[]

  [key: string]: VNode[]
}

/** Collapse Item Component */
export declare class WCollapseItem extends WinboxUIComponent {
  /** Unique identification of the panel */
  name: string | number

  /** Title of the panel */
  title: string

  $slots: CollapseItemSlots

  /** Disable the collapse item */
  disabled: boolean

  /** TitleIcon of the panel */
  titleIcon: string

  /** Show arrow icon of the panel */
  showArrow: boolean
}
