import { WinboxUIComponent } from './component'
import { VNode } from 'vue'

interface WEmptySlots {
  /* default slot:  Custom bottom content */
  default: VNode[]

  /* image slot: Custom image */
  image: VNode[]

  /* description slot: Custom description */
  description: VNode[]


  [key: string]: VNode[]
}

/** Placeholder hints for empty states. */
export declare class WEmpty extends WinboxUIComponent {
  /* image URL */
  image: string
  	
  /* image size (width) */
  size: string
  
  /* description */
  description: string | boolean

  /* name */
  name: string 

  $slots: WEmptySlots

   /* Show empty image  */
   showImage: boolean 

}
