import { WinboxUIComponent } from './component'

/** Horizontal alignment of flex layout */
export type HorizontalAlignment = 'start' | 'end' | 'center' | 'space-around' | 'space-between'

/** vertical alignment of flex layout */
export type VertialAlignment = 'top' | 'middle' | 'bottom'

/** Row Component */
export declare class WRow extends WinboxUIComponent {
   /** Grid spacing */
   gutter: number | object | Array<any>

   /** Layout mode. You can use flex. Works in modern browsers */
   type: string
 
   /** Horizontal alignment of flex layout */
   justify: HorizontalAlignment
 
   /** Vertical alignment of flex layout */
   align: VertialAlignment
 
}
