import { WinboxUIComponent } from './component'

export type TabType = 'card' | 'border-card'
export type TabSize = 'large' | 'medium' | 'small'
export type TabPosition = 'top' | 'right' | 'bottom' | 'left'

/** Divide data collections which are related yet belong to different types */
export declare class WTabs extends WinboxUIComponent {
  /** Type of Tab */
  type: TabType

  /** Size of Tab */
  size: TabSize

  /** Whether Tab is closable */
  closable: boolean

  /** Whether Tab is addable */
  addable: boolean

  /** Whether Tab is addable and closable */
  editable: boolean

  /** Name of the selected tab */
  value: string

  /** Position of tabs */
  tabPosition: TabPosition

  /** Whether width of tab automatically fits its container */
  stretch: Boolean

  /** Hook function before switching tab. If false or a Promise is returned and then is rejected, switching will be prevented */
  beforeLeave: (activeName: string, oldActiveName: string) => boolean | Promise<any>

  /** Whether Tab is center */
  center: boolean

  /** Whether Tab is dragSort */
  dragSort: boolean
}
