import { WinboxUIComponent } from './component'

export type TagType = 'primary' | 'gray' | 'success' | 'warning' | 'danger' | 'romanPink' | 'honeySuckle' | 'romanPurple'
 | 'sunsetRed' | 'sweetOrange' | 'brightYellow' | 'oysterGreen' | 'azureGreen' | 'bottleGreen' | 'skyBlue' | 'Orchid' | 'purpleBlue'
export type TagTheme = 'dark' | 'light' | 'plain'
export type TagSize = 'large' | 'medium' | 'small' | 'mini'

/** Tag Component */
export declare class WTag extends WinboxUIComponent {
  /** Tag type */
  type: TagType

  /** Whether Tab can be removed */
  closable: boolean

  /** Whether the removal animation is disabled */
  disableTransitions: boolean

  /** Whether Tag has a highlighted border */
  hit: boolean

  /** Background color of the tag */
  color: string

  /** Tag size */
  size: TagSize

  /** Tag theme */
  effect: TagTheme

  /** Tag radius */
  radius: string

  /** Tag icon */
  icon: string

  /** Whether Tab can be checkable */
  checkable: boolean
}
